Skip to main content
AI

Create Video Generation Task

Overview

Public model nameCurrently supported video capabilities
veo3.1-video-720ptext-to-video, single-image-to-video, first-and-last-frame, multi-image-reference video generation, video extension
veo3.1-video-1080ptext-to-video, single-image-to-video, first-and-last-frame, multi-image-reference video generation, video extension
veo3.1-video-4ktext-to-video, single-image-to-video, first-and-last-frame, multi-image-reference video generation, video extension
veo3.1-fast-video-720ptext-to-video, single-image-to-video, first-and-last-frame, video extension
veo3.1-fast-video-1080ptext-to-video, single-image-to-video, first-and-last-frame, video extension
veo3.1-fast-video-4ktext-to-video, single-image-to-video, first-and-last-frame, video extension

Endpoint

POST /v1/video/generations

Query Parameters

NameTypeRequiredDescriptionExample
AuthorizationstringNoBearer {your_token}

Request Body Parameters

FieldTypeRequiredTitleDescription
modelstringYesPublic model name
promptstringYespromptStructure Yes Required, recommended to pass
imagestringYessingle source image URLimage-to-video
imagesstringYesmultiple reference images URL list2 3 multi-image-reference video generation
last_imagestringYesURLfirst-and-last-frame, andimage use
videostringYesvideo URvideo extension
sizestringYesresolutionand Public Models
aspect_ratiostringYesoutput aspect ratiotext-to-videoallowed values:16:9, 9:16; image-to-video, video extension use, pass
durationstringYes,allowed values:4, 6, 8; video extension use
extra_bodyobjectYesField

Request Examples

text-to-video

{
"model": "veo3.1-video-1080p",
"prompt": " camera, camera. ",
"size": "1080p",
"aspect_ratio": "16:9",
"duration": 8,
"extra_body": {
"generate_audio": true,
"negative_prompt": ", blur",
"seed": 7
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "veo3.1-video-1080p",
"prompt": " camera, camera. ",
"size": "1080p",
"aspect_ratio": "16:9",
"duration": 8,
"extra_body": {"generate_audio": true,
"negative_prompt": ", blur",
"seed": 7}}'

single-image-to-video

{
"model": "veo3.1-video-720p",
"prompt": ", and. ",
"image": "https://example.com/keyframe.png",
"size": "720p",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {
"generate_audio": false,
"negative_prompt": "artifacts, "
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "veo3.1-video-720p",
"prompt": ", and. ",
"image": "https://example.com/keyframe.png",
"size": "720p",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {"generate_audio": false,
"negative_prompt": "artifacts, "}}'

first-and-last-frame

{
"model": "veo3.1-fast-video-1080p",
"prompt": ", subject, cameralanguage. ",
"image": "https://example.com/start-frame.png",
"last_image": "https://example.com/end-frame.png",
"size": "1080p",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {
"generate_audio": true
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "veo3.1-fast-video-1080p",
"prompt": ", subject, cameralanguage. ",
"image": "https://example.com/start-frame.png",
"last_image": "https://example.com/end-frame.png",
"size": "1080p",
"aspect_ratio": "16:9",
"duration": 6,
"extra_body": {"generate_audio": true}}'

reference video

{
"model": "veo3.1-video-1080p",
"prompt": ", and. ",
"images": [
"https://example.com/ref-1.png",
"https://example.com/ref-2.png"
],
"size": "1080p",
"aspect_ratio": "9:16",
"duration": 6,
"extra_body": {
"generate_audio": true,
"seed": 11
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "veo3.1-video-1080p",
"prompt": ", and. ",
"images": ["https://example.com/ref-1.png",
"https://example.com/ref-2.png"],
"size": "1080p",
"aspect_ratio": "9:16",
"duration": 6,
"extra_body": {"generate_audio": true,
"seed": 11}}'

video extension

{
"model": "veo3.1-video-720p",
"prompt": " video action, scenariostyle. ",
"video": "https://example.com/source.mp4",
"size": "720p",
"duration": 6,
"extra_body": {
"negative_prompt": ", ",
"seed": 9
}
}
curl -X POST "{BASE_URL}/v1/video/generations" \
-H "Authorization: Bearer sk-***" \
-H "Content-Type: application/json" \
-d '{"model": "veo3.1-video-720p",
"prompt": " video action, scenariostyle. ",
"video": "https://example.com/source.mp4",
"size": "720p",
"duration": 6,
"extra_body": {"negative_prompt": ", ",
"seed": 9}}'

Response Fields

FieldTypeRequiredTitleDescription

Response Examples

Example 1

{}